label = bbh_roq_hdf5
detectors = [H1, L1, V1]
duration = 16
minimum-frequency=20
sampling_frequency = 2048
outdir = injection_roq_hdf5_test
sampler = dynesty
sampler-kwargs = {'nlive': 500}
gaussian-noise=True

injection=True
injection-dict={'chirp_mass': 11, 'mass_ratio': 0.8, 'chi_1': 0.0, 'chi_2': 0.0, 'luminosity_distance': 1200, 'dec': 1.2, 'ra': 1.3, 'theta_jn': 0.4, 'psi': 0.659, 'phase': 1.3, 'geocent_time': 0.040833669551002205}

trigger-time = 0
prior-dict = {
chirp_mass = bilby.gw.prior.UniformInComponentsChirpMass(name='chirp_mass', minimum=9, maximum=13, unit='$M_{\odot}$'),
mass_ratio = bilby.gw.prior.UniformInComponentsMassRatio(name='mass_ratio', minimum=0.5, maximum=1),
chi_1 = 0.,
chi_2 = 0.,
luminosity_distance = bilby.gw.prior.UniformSourceFrame(name='luminosity_distance', minimum=1e2, maximum=5e3, unit='Mpc'),
dec = Cosine(name='dec'),
ra = Uniform(name='ra', minimum=0, maximum=2 * np.pi, boundary='periodic'),
theta_jn = Sine(name='theta_jn'),
psi = Uniform(name='psi', minimum=0, maximum=np.pi, boundary='periodic'),
phase = Uniform(name='phase', minimum=0, maximum=2 * np.pi, boundary='periodic')
}

likelihood_type = ROQGravitationalWaveTransient
# The basis file is available at https://git.ligo.org/soichiro.morisaki/roq_basis/tree/main/IMRPhenomD/16s_nospins
roq-linear-matrix = basis_multiband.hdf5
roq-quadratic-matrix = basis_multiband.hdf5

accounting = ligo.dev.o4.cbc.pe.bilby
